#!/usr/bin/env node
'use strict';

const path = require('path');

// Include utils
var mio = require('./utils/utils');

// Detect root path
global.appPath = path.dirname(require.main.filename);
mio.appPath = global.appPath;

// Init Services Runner
const service = require('./services/moduleComposer');

// Start Server
mio.server = function(options){
  // Init MongoDB
  if(options && options.mongoose){
    require('./services/mongoose').init(options.mongoose);
  }

  // Run cluster
  require('./services/cluster').init();
};

// Start Module as a Service
mio.service = function(serviceName, options){
  return service.start(serviceName, options);
};

// List available modules
mio.listServices = function(){
  return service.listExternalModules();
};

// Init Mongoose only
mio.initMongo = function(mongoose){
  require('./services/mongoose').init(mongoose);
};

module.exports = mio;
