'use strict';

const config = require('./config')();
var apiKey = config.get().mail.mailgun.apiKey;
var domain = config.get().mail.domain || config.get().domains[0];
var sender = config.get().mail.sender || 'NoReply <noreply@'+domain+'>';
var mailgun = require('mailgun-js')({apiKey: apiKey, domain: domain});
var mailer = require('mio-mail')({defaultSender: sender});

// Create utils object
global.mio = {};

// Errors Render
global.mio.error = require('./errors').error;

// Mail Module
global.mio.mailgun = mailgun;
global.mio.mailer = mailer;

// Export all
module.exports = global.mio;
